ODFPY 1.2.0 |

All Classes Namespaces Files Functions Variables
Public Member Functions | Static Public Attributes | List of all members
odf.element.Childless Class Reference

Mixin that makes childless-ness easy to implement and avoids the complexity of the Node methods that deal with children. More...

Inheritance diagram for odf.element.Childless:
[legend]
Collaboration diagram for odf.element.Childless:
[legend]

## Public Member Functions
def | appendChild
| Raises an error. More...
def | hasChildNodes
def | insertBefore
| Raises an error. More...
def | removeChild
| Raises an error. More...
def | replaceChild
| Raises an error. More...

## Static Public Attributes
| attributes = None
tuple | childNodes = EmptyNodeList()
| firstChild = None
| lastChild = None

## Detailed Description

Mixin that makes childless-ness easy to implement and avoids the complexity of the Node methods that deal with children.

Definition at line 221 of file element.py.

## Member Function Documentation

def odf.element.Childless.appendChild | ( |  | self,
|  |  | node
| ) |  |

Raises an error.

Definition at line 236 of file element.py.

def odf.element.Childless.hasChildNodes | ( |  | self | ) |

Definition at line 240 of file element.py.

def odf.element.Childless.insertBefore | ( |  | self,
|  |  | newChild,
|  |  | refChild
| ) |  |

Raises an error.

Definition at line 245 of file element.py.

def odf.element.Childless.removeChild | ( |  | self,
|  |  | oldChild
| ) |  |

Raises an error.

Definition at line 251 of file element.py.

def odf.element.Childless.replaceChild | ( |  | self,
|  |  | newChild,
|  |  | oldChild
| ) |  |

Raises an error.

Definition at line 257 of file element.py.

## Member Data Documentation

odf.element.Childless.attributes = None
| static

Definition at line 223 of file element.py.

tuple odf.element.Childless.childNodes = EmptyNodeList()
| static

Definition at line 224 of file element.py.

odf.element.Childless.firstChild = None
| static

Definition at line 225 of file element.py.

odf.element.Childless.lastChild = None
| static

Definition at line 226 of file element.py.

The documentation for this class was generated from the following file:

- odf/element.py